com.jogamp.gluegen.cgram

## Class GnuCLexer

- java.lang.Object
- - antlr.CharScanner
  - - com.jogamp.gluegen.cgram.GnuCLexer

- All Implemented Interfaces:
    GnuCLexerTokenTypes

      public class GnuCLexer
      extends antlr.CharScanner
      implements GnuCLexerTokenTypes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BitSet` | `_tokenSet_0`
    `static BitSet` | `_tokenSet_1`
    `static BitSet` | `_tokenSet_10`
    `static BitSet` | `_tokenSet_11`
    `static BitSet` | `_tokenSet_12`
    `static BitSet` | `_tokenSet_13`
    `static BitSet` | `_tokenSet_14`
    `static BitSet` | `_tokenSet_15`
    `static BitSet` | `_tokenSet_16`
    `static BitSet` | `_tokenSet_17`
    `static BitSet` | `_tokenSet_18`
    `static BitSet` | `_tokenSet_19`
    `static BitSet` | `_tokenSet_2`
    `static BitSet` | `_tokenSet_20`
    `static BitSet` | `_tokenSet_21`
    `static BitSet` | `_tokenSet_22`
    `static BitSet` | `_tokenSet_23`
    `static BitSet` | `_tokenSet_24`
    `static BitSet` | `_tokenSet_3`
    `static BitSet` | `_tokenSet_4`
    `static BitSet` | `_tokenSet_5`
    `static BitSet` | `_tokenSet_6`
    `static BitSet` | `_tokenSet_7`
    `static BitSet` | `_tokenSet_8`
    `static BitSet` | `_tokenSet_9`

    - ### Fields inherited from interface com.jogamp.gluegen.cgram.GnuCLexerTokenTypes

      `ASSIGN, BadStringLiteral, BAND, BAND_ASSIGN, BNOT, BOR, BOR_ASSIGN, BXOR, BXOR_ASSIGN, CharLiteral, COLON, COMMA, Comment, CPPComment, DEC, DefineExpr, DefineExpr2, Digit, DIV, DIV_ASSIGN, DOT, DoubleDoubleConst, EOF, EQUAL, Escape, Exponent, FloatDoubleConst, FloatSuffix, GT, GTE, ID, IDMEAT, INC, IntHexConst, IntIntConst, IntOctalConst, IntSuffix, LAND, LBRACKET, LCURLY, LineDirective, LITERAL___alignof, LITERAL___attribute, LITERAL___complex, LITERAL___extension__, LITERAL___imag, LITERAL___label__, LITERAL___real, LITERAL_asm, LITERAL_auto, LITERAL_break, LITERAL_case, LITERAL_char, LITERAL_const, LITERAL_continue, LITERAL_default, LITERAL_do, LITERAL_double, LITERAL_else, LITERAL_enum, LITERAL_extern, LITERAL_float, LITERAL_for, LITERAL_goto, LITERAL_if, LITERAL_inline, LITERAL_int, LITERAL_intptr_t, LITERAL_long, LITERAL_ptrdiff_t, LITERAL_register, LITERAL_return, LITERAL_short, LITERAL_signed, LITERAL_size_t, LITERAL_sizeof, LITERAL_static, LITERAL_struct, LITERAL_switch, LITERAL_typedef, LITERAL_typeof, LITERAL_uintptr_t, LITERAL_union, LITERAL_unsigned, LITERAL_void, LITERAL_volatile, LITERAL_wchar_t, LITERAL_while, LNOT, LongDoubleConst, LongHexConst, LongIntConst, LongOctalConst, LongSuffix, LOR, LPAREN, LSHIFT, LSHIFT_ASSIGN, LT, LTE, MINUS, MINUS_ASSIGN, MOD, MOD_ASSIGN, NAsmAttribute, NCast, NCommaExpr, NCompoundStatement, NDeclaration, NDeclarator, NEmptyExpression, NExpressionGroup, NFunctionCallArgs, NFunctionDef, NGnuAsmExpr, NInitDecl, NInitializer, NInitializerElementLabel, NLabel, NLcurlyInitializer, NNonemptyAbstractDeclarator, NonWhitespace, NOT_EQUAL, NParameterDeclaration, NParameterTypeList, NPointerGroup, NPostfixExpr, NRangeExpr, NStatementExpr, NStringSeq, NStructDeclarator, NTypedefName, NTypeMissing, NULL_TREE_LOOKAHEAD, Number, NumberSuffix, NUnaryExpr, PLUS, PLUS_ASSIGN, PREPROC_DIRECTIVE, PTR, QUESTION, RBRACKET, RCURLY, RPAREN, RSHIFT, RSHIFT_ASSIGN, SEMI, Space, STAR, STAR_ASSIGN, StringLiteral, UnsignedHexConst, UnsignedIntConst, UnsignedOctalConst, UnsignedSuffix, VARARGS, Vocabulary, Whitespace, WideCharLiteral, WideStringLiteral`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GnuCLexer(InputBuffer ib)`
    `GnuCLexer(InputStream in)`
    `GnuCLexer(LexerSharedInputState state)`
    `GnuCLexer(Reader in)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDefine(String name, String value)`
    `void` | `deferredNewline()`
    `List` | `getDefines()` Returns a list of Define objects corresponding to the preprocessor definitions seen during parsing.
    `PreprocessorInfoChannel` | `getPreprocessorInfoChannel()`
    `void` | `initialize()`
    `void` | `initialize(String src)`
    `protected Token` | `makeToken(int t)`
    `void` | `mASSIGN(boolean _createToken)`
    `protected void` | `mBadStringLiteral(boolean _createToken)`
    `void` | `mBAND_ASSIGN(boolean _createToken)`
    `void` | `mBAND(boolean _createToken)`
    `void` | `mBNOT(boolean _createToken)`
    `void` | `mBOR_ASSIGN(boolean _createToken)`
    `void` | `mBOR(boolean _createToken)`
    `void` | `mBXOR_ASSIGN(boolean _createToken)`
    `void` | `mBXOR(boolean _createToken)`
    `void` | `mCharLiteral(boolean _createToken)`
    `void` | `mCOLON(boolean _createToken)`
    `void` | `mCOMMA(boolean _createToken)`
    `void` | `mComment(boolean _createToken)`
    `void` | `mCPPComment(boolean _createToken)`
    `void` | `mDEC(boolean _createToken)`
    `void` | `mDefineExpr(boolean _createToken)`
    `void` | `mDefineExpr2(boolean _createToken)`
    `protected void` | `mDigit(boolean _createToken)`
    `void` | `mDIV_ASSIGN(boolean _createToken)`
    `void` | `mDIV(boolean _createToken)`
    `protected void` | `mDOT(boolean _createToken)`
    `protected void` | `mDoubleDoubleConst(boolean _createToken)`
    `void` | `mEQUAL(boolean _createToken)`
    `protected void` | `mEscape(boolean _createToken)`
    `protected void` | `mExponent(boolean _createToken)`
    `protected void` | `mFloatDoubleConst(boolean _createToken)`
    `protected void` | `mFloatSuffix(boolean _createToken)`
    `void` | `mGT(boolean _createToken)`
    `void` | `mGTE(boolean _createToken)`
    `protected void` | `mID(boolean _createToken)`
    `void` | `mIDMEAT(boolean _createToken)`
    `void` | `mINC(boolean _createToken)`
    `protected void` | `mIntHexConst(boolean _createToken)`
    `protected void` | `mIntIntConst(boolean _createToken)`
    `protected void` | `mIntOctalConst(boolean _createToken)`
    `protected void` | `mIntSuffix(boolean _createToken)`
    `void` | `mLAND(boolean _createToken)`
    `void` | `mLBRACKET(boolean _createToken)`
    `void` | `mLCURLY(boolean _createToken)`
    `protected void` | `mLineDirective(boolean _createToken)`
    `void` | `mLNOT(boolean _createToken)`
    `protected void` | `mLongDoubleConst(boolean _createToken)`
    `protected void` | `mLongHexConst(boolean _createToken)`
    `protected void` | `mLongIntConst(boolean _createToken)`
    `protected void` | `mLongOctalConst(boolean _createToken)`
    `protected void` | `mLongSuffix(boolean _createToken)`
    `void` | `mLOR(boolean _createToken)`
    `void` | `mLPAREN(boolean _createToken)`
    `void` | `mLSHIFT_ASSIGN(boolean _createToken)`
    `void` | `mLSHIFT(boolean _createToken)`
    `void` | `mLT(boolean _createToken)`
    `void` | `mLTE(boolean _createToken)`
    `void` | `mMINUS_ASSIGN(boolean _createToken)`
    `void` | `mMINUS(boolean _createToken)`
    `void` | `mMOD_ASSIGN(boolean _createToken)`
    `void` | `mMOD(boolean _createToken)`
    `protected void` | `mNonWhitespace(boolean _createToken)`
    `void` | `mNOT_EQUAL(boolean _createToken)`
    `void` | `mNumber(boolean _createToken)`
    `protected void` | `mNumberSuffix(boolean _createToken)`
    `void` | `mPLUS_ASSIGN(boolean _createToken)`
    `void` | `mPLUS(boolean _createToken)`
    `void` | `mPREPROC_DIRECTIVE(boolean _createToken)`
    `void` | `mPTR(boolean _createToken)`
    `void` | `mQUESTION(boolean _createToken)`
    `void` | `mRBRACKET(boolean _createToken)`
    `void` | `mRCURLY(boolean _createToken)`
    `void` | `mRPAREN(boolean _createToken)`
    `void` | `mRSHIFT_ASSIGN(boolean _createToken)`
    `void` | `mRSHIFT(boolean _createToken)`
    `void` | `mSEMI(boolean _createToken)`
    `protected void` | `mSpace(boolean _createToken)`
    `void` | `mSTAR_ASSIGN(boolean _createToken)`
    `void` | `mSTAR(boolean _createToken)`
    `void` | `mStringLiteral(boolean _createToken)`
    `protected void` | `mUnsignedHexConst(boolean _createToken)`
    `protected void` | `mUnsignedIntConst(boolean _createToken)`
    `protected void` | `mUnsignedOctalConst(boolean _createToken)`
    `protected void` | `mUnsignedSuffix(boolean _createToken)`
    `protected void` | `mVARARGS(boolean _createToken)`
    `protected void` | `mVocabulary(boolean _createToken)`
    `void` | `mWhitespace(boolean _createToken)`
    `void` | `mWideCharLiteral(boolean _createToken)`
    `void` | `mWideStringLiteral(boolean _createToken)`
    `void` | `newline()`
    `Token` | `nextToken()`
    `void` | `setCountingTokens(boolean ct)`
    `void` | `setOriginalSource(String src)`
    `void` | `setPreprocessingDirective(String pre)`
    `void` | `setSource(String src)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _tokenSet_0

          public static final BitSet _tokenSet_0

    - #### _tokenSet_1

          public static final BitSet _tokenSet_1

    - #### _tokenSet_2

          public static final BitSet _tokenSet_2

    - #### _tokenSet_3

          public static final BitSet _tokenSet_3

    - #### _tokenSet_4

          public static final BitSet _tokenSet_4

    - #### _tokenSet_5

          public static final BitSet _tokenSet_5

    - #### _tokenSet_6

          public static final BitSet _tokenSet_6

    - #### _tokenSet_7

          public static final BitSet _tokenSet_7

    - #### _tokenSet_8

          public static final BitSet _tokenSet_8

    - #### _tokenSet_9

          public static final BitSet _tokenSet_9

    - #### _tokenSet_10

          public static final BitSet _tokenSet_10

    - #### _tokenSet_11

          public static final BitSet _tokenSet_11

    - #### _tokenSet_12

          public static final BitSet _tokenSet_12

    - #### _tokenSet_13

          public static final BitSet _tokenSet_13

    - #### _tokenSet_14

          public static final BitSet _tokenSet_14

    - #### _tokenSet_15

          public static final BitSet _tokenSet_15

    - #### _tokenSet_16

          public static final BitSet _tokenSet_16

    - #### _tokenSet_17

          public static final BitSet _tokenSet_17

    - #### _tokenSet_18

          public static final BitSet _tokenSet_18

    - #### _tokenSet_19

          public static final BitSet _tokenSet_19

    - #### _tokenSet_20

          public static final BitSet _tokenSet_20

    - #### _tokenSet_21

          public static final BitSet _tokenSet_21

    - #### _tokenSet_22

          public static final BitSet _tokenSet_22

    - #### _tokenSet_23

          public static final BitSet _tokenSet_23

    - #### _tokenSet_24

          public static final BitSet _tokenSet_24

  - ### Constructor Detail

    - #### GnuCLexer

          public GnuCLexer(InputStream in)

    - #### GnuCLexer

          public GnuCLexer(Reader in)

    - #### GnuCLexer

          public GnuCLexer(InputBuffer ib)

    - #### GnuCLexer

          public GnuCLexer(LexerSharedInputState state)

  - ### Method Detail

    - #### initialize

          public void initialize(String src)

    - #### initialize

          public void initialize()

    - #### setCountingTokens

          public void setCountingTokens(boolean ct)

    - #### setOriginalSource

          public void setOriginalSource(String src)

    - #### setSource

          public void setSource(String src)

    - #### getPreprocessorInfoChannel

          public PreprocessorInfoChannel getPreprocessorInfoChannel()

    - #### setPreprocessingDirective

          public void setPreprocessingDirective(String pre)

    - #### addDefine

          public void addDefine(String name,
                       String value)

    - #### getDefines

          public List getDefines()

      Returns a list of Define objects corresponding to the preprocessor definitions seen during parsing.

    - #### makeToken

          protected Token makeToken(int t)

    - #### deferredNewline

          public void deferredNewline()

    - #### newline

          public void newline()

    - #### nextToken

          public Token nextToken()
                          throws TokenStreamException

      Throws:
        `TokenStreamException`

    - #### mWhitespace

          public final void mWhitespace(boolean _createToken)
                                 throws RecognitionException,
                                        CharStreamException,
                                        TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mEscape

          protected final void mEscape(boolean _createToken)
                                throws RecognitionException,
                                       CharStreamException,
                                       TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mDigit

          protected final void mDigit(boolean _createToken)
                               throws RecognitionException,
                                      CharStreamException,
                                      TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mIntSuffix

          protected final void mIntSuffix(boolean _createToken)
                                   throws RecognitionException,
                                          CharStreamException,
                                          TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mNumberSuffix

          protected final void mNumberSuffix(boolean _createToken)
                                      throws RecognitionException,
                                             CharStreamException,
                                             TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mNumber

          public final void mNumber(boolean _createToken)
                             throws RecognitionException,
                                    CharStreamException,
                                    TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mExponent

          protected final void mExponent(boolean _createToken)
                                  throws RecognitionException,
                                         CharStreamException,
                                         TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mIDMEAT

          public final void mIDMEAT(boolean _createToken)
                             throws RecognitionException,
                                    CharStreamException,
                                    TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mID

          protected final void mID(boolean _createToken)
                            throws RecognitionException,
                                   CharStreamException,
                                   TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mWideCharLiteral

          public final void mWideCharLiteral(boolean _createToken)
                                      throws RecognitionException,
                                             CharStreamException,
                                             TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mCharLiteral

          public final void mCharLiteral(boolean _createToken)
                                  throws RecognitionException,
                                         CharStreamException,
                                         TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mWideStringLiteral

          public final void mWideStringLiteral(boolean _createToken)
                                        throws RecognitionException,
                                               CharStreamException,
                                               TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mStringLiteral

          public final void mStringLiteral(boolean _createToken)
                                    throws RecognitionException,
                                           CharStreamException,
                                           TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mVocabulary

          protected final void mVocabulary(boolean _createToken)
                                    throws RecognitionException,
                                           CharStreamException,
                                           TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mASSIGN

          public final void mASSIGN(boolean _createToken)
                             throws RecognitionException,
                                    CharStreamException,
                                    TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mCOLON

          public final void mCOLON(boolean _createToken)
                            throws RecognitionException,
                                   CharStreamException,
                                   TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mCOMMA

          public final void mCOMMA(boolean _createToken)
                            throws RecognitionException,
                                   CharStreamException,
                                   TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mQUESTION

          public final void mQUESTION(boolean _createToken)
                               throws RecognitionException,
                                      CharStreamException,
                                      TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mSEMI

          public final void mSEMI(boolean _createToken)
                           throws RecognitionException,
                                  CharStreamException,
                                  TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mPTR

          public final void mPTR(boolean _createToken)
                          throws RecognitionException,
                                 CharStreamException,
                                 TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mDOT

          protected final void mDOT(boolean _createToken)
                             throws RecognitionException,
                                    CharStreamException,
                                    TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mVARARGS

          protected final void mVARARGS(boolean _createToken)
                                 throws RecognitionException,
                                        CharStreamException,
                                        TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mLPAREN

          public final void mLPAREN(boolean _createToken)
                             throws RecognitionException,
                                    CharStreamException,
                                    TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mRPAREN

          public final void mRPAREN(boolean _createToken)
                             throws RecognitionException,
                                    CharStreamException,
                                    TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mLBRACKET

          public final void mLBRACKET(boolean _createToken)
                               throws RecognitionException,
                                      CharStreamException,
                                      TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mRBRACKET

          public final void mRBRACKET(boolean _createToken)
                               throws RecognitionException,
                                      CharStreamException,
                                      TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mLCURLY

          public final void mLCURLY(boolean _createToken)
                             throws RecognitionException,
                                    CharStreamException,
                                    TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mRCURLY

          public final void mRCURLY(boolean _createToken)
                             throws RecognitionException,
                                    CharStreamException,
                                    TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mEQUAL

          public final void mEQUAL(boolean _createToken)
                            throws RecognitionException,
                                   CharStreamException,
                                   TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mNOT_EQUAL

          public final void mNOT_EQUAL(boolean _createToken)
                                throws RecognitionException,
                                       CharStreamException,
                                       TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mLTE

          public final void mLTE(boolean _createToken)
                          throws RecognitionException,
                                 CharStreamException,
                                 TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mLT

          public final void mLT(boolean _createToken)
                         throws RecognitionException,
                                CharStreamException,
                                TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mGTE

          public final void mGTE(boolean _createToken)
                          throws RecognitionException,
                                 CharStreamException,
                                 TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mGT

          public final void mGT(boolean _createToken)
                         throws RecognitionException,
                                CharStreamException,
                                TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mDIV

          public final void mDIV(boolean _createToken)
                          throws RecognitionException,
                                 CharStreamException,
                                 TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mDIV_ASSIGN

          public final void mDIV_ASSIGN(boolean _createToken)
                                 throws RecognitionException,
                                        CharStreamException,
                                        TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mPLUS

          public final void mPLUS(boolean _createToken)
                           throws RecognitionException,
                                  CharStreamException,
                                  TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mPLUS_ASSIGN

          public final void mPLUS_ASSIGN(boolean _createToken)
                                  throws RecognitionException,
                                         CharStreamException,
                                         TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mINC

          public final void mINC(boolean _createToken)
                          throws RecognitionException,
                                 CharStreamException,
                                 TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mMINUS

          public final void mMINUS(boolean _createToken)
                            throws RecognitionException,
                                   CharStreamException,
                                   TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mMINUS_ASSIGN

          public final void mMINUS_ASSIGN(boolean _createToken)
                                   throws RecognitionException,
                                          CharStreamException,
                                          TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mDEC

          public final void mDEC(boolean _createToken)
                          throws RecognitionException,
                                 CharStreamException,
                                 TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mSTAR

          public final void mSTAR(boolean _createToken)
                           throws RecognitionException,
                                  CharStreamException,
                                  TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mSTAR_ASSIGN

          public final void mSTAR_ASSIGN(boolean _createToken)
                                  throws RecognitionException,
                                         CharStreamException,
                                         TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mMOD

          public final void mMOD(boolean _createToken)
                          throws RecognitionException,
                                 CharStreamException,
                                 TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mMOD_ASSIGN

          public final void mMOD_ASSIGN(boolean _createToken)
                                 throws RecognitionException,
                                        CharStreamException,
                                        TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mRSHIFT

          public final void mRSHIFT(boolean _createToken)
                             throws RecognitionException,
                                    CharStreamException,
                                    TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mRSHIFT_ASSIGN

          public final void mRSHIFT_ASSIGN(boolean _createToken)
                                    throws RecognitionException,
                                           CharStreamException,
                                           TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mLSHIFT

          public final void mLSHIFT(boolean _createToken)
                             throws RecognitionException,
                                    CharStreamException,
                                    TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mLSHIFT_ASSIGN

          public final void mLSHIFT_ASSIGN(boolean _createToken)
                                    throws RecognitionException,
                                           CharStreamException,
                                           TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mLAND

          public final void mLAND(boolean _createToken)
                           throws RecognitionException,
                                  CharStreamException,
                                  TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mLNOT

          public final void mLNOT(boolean _createToken)
                           throws RecognitionException,
                                  CharStreamException,
                                  TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mLOR

          public final void mLOR(boolean _createToken)
                          throws RecognitionException,
                                 CharStreamException,
                                 TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mBAND

          public final void mBAND(boolean _createToken)
                           throws RecognitionException,
                                  CharStreamException,
                                  TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mBAND_ASSIGN

          public final void mBAND_ASSIGN(boolean _createToken)
                                  throws RecognitionException,
                                         CharStreamException,
                                         TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mBNOT

          public final void mBNOT(boolean _createToken)
                           throws RecognitionException,
                                  CharStreamException,
                                  TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mBOR

          public final void mBOR(boolean _createToken)
                          throws RecognitionException,
                                 CharStreamException,
                                 TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mBOR_ASSIGN

          public final void mBOR_ASSIGN(boolean _createToken)
                                 throws RecognitionException,
                                        CharStreamException,
                                        TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mBXOR

          public final void mBXOR(boolean _createToken)
                           throws RecognitionException,
                                  CharStreamException,
                                  TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mBXOR_ASSIGN

          public final void mBXOR_ASSIGN(boolean _createToken)
                                  throws RecognitionException,
                                         CharStreamException,
                                         TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mComment

          public final void mComment(boolean _createToken)
                              throws RecognitionException,
                                     CharStreamException,
                                     TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mCPPComment

          public final void mCPPComment(boolean _createToken)
                                 throws RecognitionException,
                                        CharStreamException,
                                        TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mNonWhitespace

          protected final void mNonWhitespace(boolean _createToken)
                                       throws RecognitionException,
                                              CharStreamException,
                                              TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mPREPROC_DIRECTIVE

          public final void mPREPROC_DIRECTIVE(boolean _createToken)
                                        throws RecognitionException,
                                               CharStreamException,
                                               TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mLineDirective

          protected final void mLineDirective(boolean _createToken)
                                       throws RecognitionException,
                                              CharStreamException,
                                              TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mSpace

          protected final void mSpace(boolean _createToken)
                               throws RecognitionException,
                                      CharStreamException,
                                      TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mDefineExpr

          public final void mDefineExpr(boolean _createToken)
                                 throws RecognitionException,
                                        CharStreamException,
                                        TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mDefineExpr2

          public final void mDefineExpr2(boolean _createToken)
                                  throws RecognitionException,
                                         CharStreamException,
                                         TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mBadStringLiteral

          protected final void mBadStringLiteral(boolean _createToken)
                                          throws RecognitionException,
                                                 CharStreamException,
                                                 TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mLongSuffix

          protected final void mLongSuffix(boolean _createToken)
                                    throws RecognitionException,
                                           CharStreamException,
                                           TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mUnsignedSuffix

          protected final void mUnsignedSuffix(boolean _createToken)
                                        throws RecognitionException,
                                               CharStreamException,
                                               TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mFloatSuffix

          protected final void mFloatSuffix(boolean _createToken)
                                     throws RecognitionException,
                                            CharStreamException,
                                            TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mDoubleDoubleConst

          protected final void mDoubleDoubleConst(boolean _createToken)
                                           throws RecognitionException,
                                                  CharStreamException,
                                                  TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mFloatDoubleConst

          protected final void mFloatDoubleConst(boolean _createToken)
                                          throws RecognitionException,
                                                 CharStreamException,
                                                 TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mLongDoubleConst

          protected final void mLongDoubleConst(boolean _createToken)
                                         throws RecognitionException,
                                                CharStreamException,
                                                TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mIntOctalConst

          protected final void mIntOctalConst(boolean _createToken)
                                       throws RecognitionException,
                                              CharStreamException,
                                              TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mLongOctalConst

          protected final void mLongOctalConst(boolean _createToken)
                                        throws RecognitionException,
                                               CharStreamException,
                                               TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mUnsignedOctalConst

          protected final void mUnsignedOctalConst(boolean _createToken)
                                            throws RecognitionException,
                                                   CharStreamException,
                                                   TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mIntIntConst

          protected final void mIntIntConst(boolean _createToken)
                                     throws RecognitionException,
                                            CharStreamException,
                                            TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mLongIntConst

          protected final void mLongIntConst(boolean _createToken)
                                      throws RecognitionException,
                                             CharStreamException,
                                             TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mUnsignedIntConst

          protected final void mUnsignedIntConst(boolean _createToken)
                                          throws RecognitionException,
                                                 CharStreamException,
                                                 TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mIntHexConst

          protected final void mIntHexConst(boolean _createToken)
                                     throws RecognitionException,
                                            CharStreamException,
                                            TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mLongHexConst

          protected final void mLongHexConst(boolean _createToken)
                                      throws RecognitionException,
                                             CharStreamException,
                                             TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`

    - #### mUnsignedHexConst

          protected final void mUnsignedHexConst(boolean _createToken)
                                          throws RecognitionException,
                                                 CharStreamException,
                                                 TokenStreamException

      Throws:
        `RecognitionException`
        `CharStreamException`
        `TokenStreamException`